std::this_thread(3)

NAME
std::this_thread - ISO C++ 2011 namespace for interacting with the current thread.

SYNOPSIS

  Functions
void __sleep_for (chrono::seconds, chrono::nanoseconds)
thread::id get_id () noexcept
get_id
template<typename _Rep , typename _Period > void sleep_for (const chrono::duration< _Rep, _Period > &__rtime)
sleep_for
template<typename _Clock , typename _Duration > void sleep_until (const chrono::time_point< _Clock, _Duration > &__atime)
sleep_until
void yield () noexcept
yield

Detailed Description

ISO C++ 2011 namespace for interacting with the current thread. C++11 30.3.2 [thread.thread.this] Namespace this_thread.

Author

Generated automatically by Doxygen for libstdc++ from the source code.